> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Update Queue

PUT https://api.staple.io/v1/queues/{queueId}
Content-Type: application/json

Update queue information such as name, document type, customer name, language and etc

Reference: https://docs.staple.ai/api-reference/v1/queues/update-queue

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /v1/queues/{queueId}:
    put:
      operationId: updateQueue
      summary: Update Queue
      description: >-
        Update queue information such as name, document type, customer name,
        language and etc
      tags:
        - queues
      parameters:
        - name: queueId
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Queues_updateQueue_Response_200'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                input:
                  $ref: >-
                    #/components/schemas/V1QueuesQueueIdPutRequestBodyContentApplicationJsonSchemaInput
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    V1QueuesQueueIdPutRequestBodyContentApplicationJsonSchemaInput:
      type: object
      properties:
        name:
          type: string
        accountType:
          type: string
        supplier:
          type: string
        customer:
          type: string
        docType:
          type: string
        language:
          type: string
        gid:
          type: integer
      title: V1QueuesQueueIdPutRequestBodyContentApplicationJsonSchemaInput
    Queues_updateQueue_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Queues_updateQueue_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples

### Update Queue



**Request**

```json
undefined
```

**Response**

```json
{
  "updateQueue": {
    "message": "Successfully updated Api gateway update queue"
  }
}
```

**SDK Code**

```python Update Queue
import requests

url = "https://api.staple.io/v1/queues/queueId"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript Update Queue
const url = 'https://api.staple.io/v1/queues/queueId';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update Queue
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/queues/queueId"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update Queue
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/queues/queueId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Update Queue
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.staple.io/v1/queues/queueId")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Update Queue
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.staple.io/v1/queues/queueId', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update Queue
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/queues/queueId");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Update Queue
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/queues/queueId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Queues_updateQueue_example



**Request**

```json
{
  "input": {
    "name": "New queue",
    "accountType": "TEST",
    "supplier": "TEST",
    "customer": "TEST",
    "docType": "INVOICE",
    "language": "EN",
    "gid": 1
  }
}
```

**Response**

```json
{
  "updateQueue": {
    "message": "Successfully updated Api gateway update queue"
  }
}
```

**SDK Code**

```python Queues_updateQueue_example
import requests

url = "https://api.staple.io/v1/queues/queueId"

payload = { "input": {
        "name": "New queue",
        "accountType": "TEST",
        "supplier": "TEST",
        "customer": "TEST",
        "docType": "INVOICE",
        "language": "EN",
        "gid": 1
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Queues_updateQueue_example
const url = 'https://api.staple.io/v1/queues/queueId';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"input":{"name":"New queue","accountType":"TEST","supplier":"TEST","customer":"TEST","docType":"INVOICE","language":"EN","gid":1}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Queues_updateQueue_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/queues/queueId"

	payload := strings.NewReader("{\n  \"input\": {\n    \"name\": \"New queue\",\n    \"accountType\": \"TEST\",\n    \"supplier\": \"TEST\",\n    \"customer\": \"TEST\",\n    \"docType\": \"INVOICE\",\n    \"language\": \"EN\",\n    \"gid\": 1\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Queues_updateQueue_example
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/queues/queueId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"input\": {\n    \"name\": \"New queue\",\n    \"accountType\": \"TEST\",\n    \"supplier\": \"TEST\",\n    \"customer\": \"TEST\",\n    \"docType\": \"INVOICE\",\n    \"language\": \"EN\",\n    \"gid\": 1\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Queues_updateQueue_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.staple.io/v1/queues/queueId")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"input\": {\n    \"name\": \"New queue\",\n    \"accountType\": \"TEST\",\n    \"supplier\": \"TEST\",\n    \"customer\": \"TEST\",\n    \"docType\": \"INVOICE\",\n    \"language\": \"EN\",\n    \"gid\": 1\n  }\n}")
  .asString();
```

```php Queues_updateQueue_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.staple.io/v1/queues/queueId', [
  'body' => '{
  "input": {
    "name": "New queue",
    "accountType": "TEST",
    "supplier": "TEST",
    "customer": "TEST",
    "docType": "INVOICE",
    "language": "EN",
    "gid": 1
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Queues_updateQueue_example
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/queues/queueId");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"input\": {\n    \"name\": \"New queue\",\n    \"accountType\": \"TEST\",\n    \"supplier\": \"TEST\",\n    \"customer\": \"TEST\",\n    \"docType\": \"INVOICE\",\n    \"language\": \"EN\",\n    \"gid\": 1\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Queues_updateQueue_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["input": [
    "name": "New queue",
    "accountType": "TEST",
    "supplier": "TEST",
    "customer": "TEST",
    "docType": "INVOICE",
    "language": "EN",
    "gid": 1
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/queues/queueId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```